Bug 10905 - Networking is behaving very strangely on a previously working setup
Networking is behaving very strangely on a previously working setup
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-19 01:56 EDT by bannon
Modified: 2008-05-01 11:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:14:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bannon 2000-04-19 01:56:04 EDT
The setup: a fresh install of 6.2, KDE workstation.
I have tried this twice with two verified-as-working NICs (a 3c508 and a
generic NE2000).  The result is identical in both cases.

Since the install doesn't detect the NIC, I set it up with Linuxconf.
Restart networking and everything looks okay (although localhost 127.0.0.1
didn't get entered in /etc/hosts for some reason).  ifconfig reports the
proper stats for the card, routes look good.

Here's the strange part: when I try to ping, whether it be an IP or a
hostname (both on the local LAN), it pauses for 3 seconds, then spits out
three identical lines containing the error "Destination Host Unreachable".
It then pauses for 3 more seconds, then spits out three more errors, etc.
Viewing the output of ifconfig shows an equal number of TX errors as ping
packets have been sent.

I'm *quite* certain that all the network cabling and so forth is working
fine, as I've tested it with other machines.  The machine in question was
working fine (with some version of windows) on a LAN before I wiped the
drive.  Both cards produce *identical* errors despite being completely
different cards.  I've installed dozens of Linux boxes and have never
seen this error.

Any input appreciated - if I can't solve this he may give up and go back to
"the dark side", and we can't have that :)
Comment 1 Nalin Dahyabhai 2000-05-11 18:38:59 EDT
Are these PCI or ISA network cards?  What output do you get when you run
"/sbin/ifconfig" and "/sbin/route -n"?
Comment 2 t_leitner 2000-05-30 06:42:59 EDT
Similar problem. I have a NE2000 compatible network card, configured during installation and I encountered no problems. After starting the system, the network card is initialized but somehow if I'm pinging a host on the local net, nothing happens. Also, the route command doesn't display everything and doesn't return. So I have to interrupt the process everytime.

After doing this:

ifconfig eth0 down
ifconfig eth0 up

everything works fine. Can someone figure out this strange problem?
Comment 3 giuliano 2000-06-14 11:40:23 EDT
I reported the same problem. I have:
1 3com905c
1 3com900b
After installing the first card, all was ok.
Installing the second card, the system failed to see the firs card, and if i
ping a network address the result was:
pause and "host unreachable".
Using the module 3c90x for the first card and 3c59x, the system failed to see
all the network card installed.
Using 3c59x for all of two, only the second was configurated but with the
previous error!!
Comment 4 Bill Nottingham 2006-08-07 13:12:13 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Bill Nottingham 2006-10-18 10:14:46 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.